Subject: no response for a query

From: [email-masked] (Victor Kravets)
Date: Fri, 12 Nov 93 01:15:47 EST

Dear Sir/Madam,
I have just ran into a problem which does not let me
recieve any result for a query I make. Here is the typical
situation:
king% monitor foo
Welcome to the C POSTGRES terminal monitor

Go 
* 

\g

Query sent to backend is "

And then no response at all.However, ps indicates th that there is
a postgres process running for each query I made long time ago and still
waitining for a result:

ps -guxa | head
USER       PID %CPU %MEM   SZ  RSS TT STAT START  TIME COMMAND
gvkravet  2452 30.8  1.8  240  552 p4 R    00:57   0:00 ps -guxa
postgres  2433  4.7  3.7 1368 1152 ?  R N  00:52   0:28 /usr2/postgres/bin/postg
postgres 26725  4.7  0.1 1368   32 ?  R N  19:38  29:42 /usr2/postgres/bin/postg
postgres 27751  4.3  0.1 1368   32 ?  R N  20:24  24:11 /usr2/postgres/bin/postg
postgres 26697  4.3  0.1 1368   32 ?  R N  19:36  30:22 /usr2/postgres/bin/postg
postgres 27033  4.3  0.1 1368   32 ?  R N  19:53  27:15 /usr2/postgres/bin/postg
postgres 26996  4.3  0.1 1368   32 ?  R N  19:52  27:16 /usr2/postgres/bin/postg
postgres 26957  3.5  0.1 1368   32 ?  R N  19:48  27:51 /usr2/postgres/bin/postg
postgres 26651  3.1  0.1 1368   32 ?  R N  19:34  31:20 /usr2/postgres/bin/postg
king% 
I can't recall what caused this behavior. It might have started after
I have  typed '^C'   while in monitor. I also remember warning about cache.

I guess my question is, if there is a way to remove this processes
without being a superuser? And is there anything can be done to
prevent this in future?

Thank you very much for your time.

Sincerely,

Victor Kravets

---

From: [email-masked] (Paul M. Aoki)
Date: Fri, 12 Nov 93 01:15:20 -0800

[email-masked] (Victor Kravets) writes:
> * \g

to fix the immediate problem, become the "postgres" user and use
the unix kill command.  if you can't become "postgres" (or root),
ask your sysadmin to do it.

i haven't seen this recently.  if you are not running 4.1 (and your
previous message indicates that you were using the pre-4.1 
environment variable POSTGRESHOME), upgrade.  if you *are* running 
postgres 4.1, do
	% kill -ILL 26651
(or whatever the process id is) and send us a dbx stack trace from the 
core (which will be dumped in .../data/base/foo).  also specify what
your environment is.
--
  Paul M. Aoki  |  CS Div., Dept. of EECS, UCB  |  [email-masked]
                |  Berkeley, CA 94720           |  ...!uunet!ucbvax!aoki